Skip to main content
GET
/
api
/
v1
/
storage
/
sandboxes
/
{sandbox_id}
/
entities
/
search
Search entities in a sandbox
curl --request GET \
  --url https://api.copass.id/api/v1/storage/sandboxes/{sandbox_id}/entities/search \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
X-Encryption-Token
string | null
X-Encryption-Key
string | null

Path Parameters

sandbox_id
string
required

Query Parameters

q
string
required

Search query

Minimum string length: 1
limit
integer
default:10
Required range: 1 <= x <= 100
min_similarity
number
default:0.5
Required range: 0 <= x <= 1
canonical_id
string | null
project_id
string | null

Optional storage project id to further narrow the search within the sandbox.

Response

Successful Response